Name:           perl-Class-MOP
Version:        0.94
Release:        1%{?dist}
Summary:        A Meta Object Protocol for Perl 5
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-MOP/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Class-MOP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(B)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Scalar::Util) >= 1.18
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(MRO::Compat)   >= 0.05
BuildRequires:  perl(Sub::Identify) >= 0.03
BuildRequires:  perl(Sub::Name)     >= 0.04
BuildRequires:  perl(Devel::GlobalDestruction)
# test
BuildRequires:  perl(Algorithm::C3)
BuildRequires:  perl(Class::C3)
BuildRequires:  perl(Devel::GlobalDestruction)
BuildRequires:  perl(SUPER)
BuildRequires:  perl(Test::Exception) >= 0.27
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

Requires:       perl(Sub::Identify) >= 0.03
Requires:       perl(Sub::Name)     >= 0.04
Requires:       perl(Devel::GlobalDestruction)
Requires:       perl(Carp)
Requires:       perl(MRO::Compat) >= 0.05
Requires:       perl(Scalar::Util) >= 1.18
Requires:       perl(Task::Weaken)

%{?perl_default_filter}

%description
This module is a fully functioning meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or characteristics
of the Perl 5 object system, only to create a protocol for its manipulation
and introspection.

That said, it does attempt to create the tools for building a rich set of
extensions to the Perl 5 object system. Every attempt has been made for these
tools to keep to the spirit of the Perl 5 object system that we all know and
love.

%prep
%setup -q -n Class-MOP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist         -exec rm -f {} +
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/ scripts/ t/
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto
%{_mandir}/man3/*

%changelog
* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.94-1
- auto-update to 0.94 (by cpan-spec-update 0.01)

* Fri Sep 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.93-1
- switch filtering systems
- auto-update to 0.93 (by cpan-spec-update 0.01)
- altered br on perl(Test::More) (0.77 => 0.88)

* Fri Aug 28 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.92-2
- Filtering errant private provides

* Tue Aug 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.92-1
- auto-update to 0.92 (by cpan-spec-update 0.01)

* Fri Jul 31 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.91-1
- auto-update to 0.91 (by cpan-spec-update 0.01)

* Mon Jul 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.90-1
- auto-update to 0.90 (by cpan-spec-update 0.01)
- added a new req on perl(Carp) (version 0)
- added a new req on perl(MRO::Compat) (version 0.05)
- added a new req on perl(Scalar::Util) (version 1.18)
- added a new req on perl(Task::Weaken) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.85-1
- auto-update to 0.85 (by cpan-spec-update 0.01)

* Wed May 13 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.84-1
- update to 0.84
- altered br on perl(Test::Exception) (0.21 => 0.27)

* Wed May 13 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.83-1
- update to 0.83
- added a new br on perl(ExtUtils::MakeMaker) (version 6.42)
- added a new br on perl(Scalar::Util) (version 1.18)
- added a new br on perl(File::Spec) (version 0)
- altered br on perl(Test::More) (0 => 0.77)
- added a new br on perl(Task::Weaken) (version 0)
- added a new br on perl(Carp) (version 0)

* Mon May 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.81-2
- fix .so filter to not trash the rtld (and other) symbols
- bring files in line with new arch-specific model
- merge _docdir filtering with the .so filtering

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.81-1
- update to 0.81

* Sat Apr 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.80-1
- update to 0.80

* Wed Apr 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.79-1
- update to 0.79

* Sun Mar 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.78-1
- update to 0.78

* Sat Feb 28 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.77-3
- Stripping bad provides of private Perl extension libs

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.77-1
- update to 0.77

* Sun Jan 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.75-1
- update to 0.75

* Sun Dec 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.74-1
- update to 0.74

* Sun Dec 21 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.73-1
- update to 0.73

* Sat Dec 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.71-1
- update to 0.71

* Fri Nov 14 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.70-1
- update to 0.70

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.69-2
- add Devel::GlobalDestruction and Sub::Name as explicit requires (not
  automagically picked up!)

* Fri Nov 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.69-1
- 0.69

* Thu Nov 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.68-1
- update to 0.68

* Sun Oct 19 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.67-1
- update to 0.67
- reenable all br's, as tests are run for pp and xs now

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.65-1
- update to 0.65
- adjust br's

* Mon Aug 04 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.64-1
- update to 0.64

* Fri Jul 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.63-1
- update to 0.63

* Wed Jun 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.62-1
- update to 0.62
- tweak provides filtering

* Tue Jun 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.61-1
- update to 0.61

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.57-1
- update to 0.57

* Wed May 21 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.55-2
- bump for tagging snafu...

* Wed May 21 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.55-1
- update to 0.55

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.49-3
- rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.49-2
- Autorebuild for GCC 4.3

* Sat Dec 15 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.49-1
- update to 0.49
- note that we're now arch-specific, as there's XS-speedup goodness!
- note also that 0.49 BREAKS Moose < 0.33!

* Wed Dec 12 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.48-1
- update to 0.48

* Sun Nov 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.47-1
- update to 0.47

* Sat Nov 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.45-1
- update to 0.45
- adapt to Module::Install style

* Sat Aug 11 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.42-1
- update to 0.42
- license tag: GPL -> GPL+

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.38-1
- update to 0.38
- add t/ to doc
- minor spec rework to deal with the once and future perl split

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.37-1
- update to 0.37

* Mon Nov 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.36-1
- update to 0.36
- update summary tag

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.35-1
- update to 0.35

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-3
- bump

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-2
- add br on Test::Pod && ::Coverage

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-1
- Specfile autogenerated by cpanspec 1.69.1.
